# VecEqual

Compares two vectors.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecEqual(Vec vec1,Vec vec2,PetscTruth *flg)

Collective on Vec

### Input Parameters

| vec1 | - the first vector
| vec2 | - the second vector

### Output Parameter

flg -PETSC_TRUE if the vectors are equal; PETSC_FALSE otherwise.

### C++ variants

| PetscTruth VecEqual(Vec x,Vec y) |  | -> |  | VecEqual(x,y,&s); return s;

Level:intermediate
Location: src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages